package com.ruoyi.dxp.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务共享对象 dxp_service_share
 *
 * @author jy
 * @date 2023-02-10
 */
public class ServiceShare extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 所属整合服务id */
    @Excel(name = "所属整合服务id")
    private Long serviceId;

    /** 目录id */
    @Excel(name = "目录id")
    private Long catalogueId;

    /** 服务名称 */
    @Excel(name = "服务名称")
    private String serviceName;

    /** 服务地址 */
    @Excel(name = "服务地址")
    private String serviceUrl;

    /** 是否需要授权（1是） */
    @Excel(name = "是否需要授权", readConverterExp = "1=是")
    private String needAuth;

    /** 鉴权方式：关联字典 */
    @Excel(name = "鉴权方式：关联字典")
    private String authWay;

    /** 请求方法：关联字典 */
    @Excel(name = "请求方法：关联字典")
    private String requestMethod;

    /** 参数形式：关联字典 */
    @Excel(name = "参数形式：关联字典")
    private String paramForm;

    /** 响应格式：关联字典 */
    @Excel(name = "响应格式：关联字典")
    private String responseForm;

    /** 增量字段 */
    @Excel(name = "增量字段")
    private String addField;

    /** 信息标识符 */
    @Excel(name = "信息标识符")
    private String infoId;

    /** 标签：多个逗号间隔 */
    @Excel(name = "标签：多个逗号间隔")
    private String tag;

    /** 提供机构：关联字典 */
    @Excel(name = "提供机构：关联字典")
    private String provideOrganization;

    /** 开放类型：关联字典 */
    @Excel(name = "开放类型：关联字典")
    private String publishType;

    /** 状态：0待审核，1审核通过，2驳回 */
    @Excel(name = "状态：0待审核，1审核通过，2驳回")
    private String status;

    /** 浏览次数 */
    @Excel(name = "浏览次数")
    private Long viewCount;

    /** 申请次数 */
    @Excel(name = "申请次数")
    private Long applyCount;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditBy;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String auditRemark;

    /** 同步标志：0无更新，1有更新 */
    @Excel(name = "同步标志：0无更新，1有更新")
    private String syncFlag;

    /** 当前页字段名 */
    @Excel(name = "当前页字段名")
    private String pageField;

    /** 页大小字段 */
    @Excel(name = "页大小字段")
    private String pageSizeField;

    /** 搜索字段 */
    @Excel(name = "搜索字段")
    private String searchField;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setServiceId(Long serviceId)
    {
        this.serviceId = serviceId;
    }

    public Long getServiceId()
    {
        return serviceId;
    }
    public void setCatalogueId(Long catalogueId)
    {
        this.catalogueId = catalogueId;
    }

    public Long getCatalogueId()
    {
        return catalogueId;
    }
    public void setServiceName(String serviceName)
    {
        this.serviceName = serviceName;
    }

    public String getServiceName()
    {
        return serviceName;
    }
    public void setServiceUrl(String serviceUrl)
    {
        this.serviceUrl = serviceUrl;
    }

    public String getServiceUrl()
    {
        return serviceUrl;
    }
    public void setNeedAuth(String needAuth)
    {
        this.needAuth = needAuth;
    }

    public String getNeedAuth()
    {
        return needAuth;
    }
    public void setAuthWay(String authWay)
    {
        this.authWay = authWay;
    }

    public String getAuthWay()
    {
        return authWay;
    }
    public void setRequestMethod(String requestMethod)
    {
        this.requestMethod = requestMethod;
    }

    public String getRequestMethod()
    {
        return requestMethod;
    }
    public void setParamForm(String paramForm)
    {
        this.paramForm = paramForm;
    }

    public String getParamForm()
    {
        return paramForm;
    }
    public void setResponseForm(String responseForm)
    {
        this.responseForm = responseForm;
    }

    public String getResponseForm()
    {
        return responseForm;
    }
    public void setAddField(String addField)
    {
        this.addField = addField;
    }

    public String getAddField()
    {
        return addField;
    }
    public void setInfoId(String infoId)
    {
        this.infoId = infoId;
    }

    public String getInfoId()
    {
        return infoId;
    }
    public void setTag(String tag)
    {
        this.tag = tag;
    }

    public String getTag()
    {
        return tag;
    }
    public void setProvideOrganization(String provideOrganization)
    {
        this.provideOrganization = provideOrganization;
    }

    public String getProvideOrganization()
    {
        return provideOrganization;
    }
    public void setPublishType(String publishType)
    {
        this.publishType = publishType;
    }

    public String getPublishType()
    {
        return publishType;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setViewCount(Long viewCount)
    {
        this.viewCount = viewCount;
    }

    public Long getViewCount()
    {
        return viewCount;
    }
    public void setApplyCount(Long applyCount)
    {
        this.applyCount = applyCount;
    }

    public Long getApplyCount()
    {
        return applyCount;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setAuditBy(String auditBy)
    {
        this.auditBy = auditBy;
    }

    public String getAuditBy()
    {
        return auditBy;
    }
    public void setAuditTime(Date auditTime)
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime()
    {
        return auditTime;
    }
    public void setAuditRemark(String auditRemark)
    {
        this.auditRemark = auditRemark;
    }

    public String getAuditRemark()
    {
        return auditRemark;
    }
    public void setSyncFlag(String syncFlag)
    {
        this.syncFlag = syncFlag;
    }

    public String getSyncFlag()
    {
        return syncFlag;
    }
    public void setPageField(String pageField)
    {
        this.pageField = pageField;
    }

    public String getPageField()
    {
        return pageField;
    }
    public void setPageSizeField(String pageSizeField)
    {
        this.pageSizeField = pageSizeField;
    }

    public String getPageSizeField()
    {
        return pageSizeField;
    }
    public void setSearchField(String searchField)
    {
        this.searchField = searchField;
    }

    public String getSearchField()
    {
        return searchField;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("serviceId", getServiceId())
                .append("catalogueId", getCatalogueId())
                .append("serviceName", getServiceName())
                .append("serviceUrl", getServiceUrl())
                .append("needAuth", getNeedAuth())
                .append("authWay", getAuthWay())
                .append("requestMethod", getRequestMethod())
                .append("paramForm", getParamForm())
                .append("responseForm", getResponseForm())
                .append("addField", getAddField())
                .append("infoId", getInfoId())
                .append("tag", getTag())
                .append("provideOrganization", getProvideOrganization())
                .append("publishType", getPublishType())
                .append("status", getStatus())
                .append("viewCount", getViewCount())
                .append("applyCount", getApplyCount())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .append("auditBy", getAuditBy())
                .append("auditTime", getAuditTime())
                .append("auditRemark", getAuditRemark())
                .append("syncFlag", getSyncFlag())
                .append("pageField", getPageField())
                .append("pageSizeField", getPageSizeField())
                .append("searchField", getSearchField())
                .toString();
    }
}
